@charset "UTF-8";

:root {
  --egg: #f3ede3;
  --darkegg: #dbd3c4;
  --blue: #65b2d8;
  --darkblue: #407995;
  --warning: #c35013;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
  font-size: calc(10px + 0.5vw);
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
  margin: 0;
  font-family: 'Montserrat', sans-serif;
  text-align: center;
}

header {
  margin: 0 auto;
  padding: 1em;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  font-size: 1em;
  color: white;
  background-image: url("/static/img/banner.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  border-bottom: 2px solid grey;
}

header h1 {
  margin: 0;
  padding: 0 0.5em;
  font-family: 'Kaisei HarunoUmi', serif;
  font-size: 3em;
  text-shadow: 2px 2px 2px black;
}

.lang-icon {
  margin: 0 0.5em;
  padding: 0;
  width: 2.8em;
  height: 1.8em;
}

.dropdown {

}

#dropdown-button {
  margin: 0 0.5em;
  padding: 0;
  cursor: pointer;
}

#dropdown-button:hover {
  color: var(--blue);
}

.dropdown-content {
  display: none;
  position: absolute;
  right: 0;
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.7);
  color: black;
}

.dropdown-content p {
  padding: 0 0.5em;
  font-size: 1.3em;
  cursor: pointer;
}

.dropdown-content p:hover {
  color: var(--blue);
  background-color: white;
}

.dashboard {
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
}

.letter-box {
  padding: 0.5em;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
}

@keyframes rotation {
  from {
    transform: rotateY(0deg);
  }
  to {
    transform: rotateY(359deg);
  }
}

.letter {
  margin: 0.5em;
  padding: 1.9em 1em 0.5em 1em;
  background-color: var(--egg);
  border-radius: 10px;
  border-style: solid;
  border-width: thin;
  border-color: grey;
  box-shadow: 3px 3px 3px 1px grey;
  animation-name: rotation;
  animation-duration: 1s;
  animation-timing-function: ease-in-out;
  cursor: pointer;
}

.letter-text {
  margin: 0;
  padding: 0;
  width: 1.8em;
  font-size: 1.5em;
  font-weight: bold;
}

.letter-value {
  margin: 0;
  padding: 0;
  width: 0.8em;
  left: 1.8em;
  top: -4.5em;
  position: relative;
  font-size: 0.8em;
  color: var(--blue);
}

.active:hover {
  box-shadow: 5px 5px 3px 2px grey;
  border-color: var(--blue);
  color: var(--blue);
}

.inactive {
  box-shadow: 1px 1px 1px 1px grey;
  background-color: var(--darkegg);
  color: darkgrey;
}

form {
  margin: 0 auto;
  padding: 0.3em;
  font-size: 2em;
}

.input-line {
  display: flex;
  justify-content: center;
  align-items: center;
}

#word-input {
  display: block;
  margin: 0.1em;
  text-decoration: none;
  font-size: 1.3em;
  border-style: solid;
  border-radius: 10px;
  max-width: 80%;
  text-align: center;
  text-transform: uppercase;
  cursor: default;
}

#word-input:focus {
  outline: none !important;
  border-color: var(--blue);
}

#reset-button {
  display: block;
  margin: 0.1em;
  padding: 0.2em;
  text-decoration: none;
  font-size: 1em;
  border: none;
  border-radius: 10px;
  color: white;
  background-color: var(--blue);
  cursor: pointer;
}

#reset-button:hover {
  background-color: var(--darkblue);
  color: lightgrey;
}

#submit-button {
  margin: 0.5em auto;
  padding: 0.2em;
  display: block;
  text-decoration: none;
  font-size: 1em;
  border-style: solid;
  border-radius: 10px;
  color: grey;
  background-color: white;
  cursor: pointer;
}

#submit-button:hover {
  color: var(--blue);
  border-color: var(--blue);
}

.text-small {
  margin: 0 auto;
  padding: 0;
  font-size: 0.4em;
  font-style: italic;
  color: grey;
}

.text-warning {
  color: var(--warning);
  font-weight: bold;
}

.message-box {
  display: flex;
  justify-content: space-around;
  margin: 0 auto;
  padding: 1em;
}

.bubble {
  margin: 0 auto;
  padding: 0.2em 1em;
  border-radius: 10px;
}

.bg-ai {
  background-color: var(--darkegg);
}

.bg-you {
  background-color: var(--darkblue);
}

.message-box p {
  display: inline-block;
  padding: 0 0.3em;
}

#word, #ai_word {
  font-weight: bold;
}

#word {
  color: white;
}

#score {
  color: var(--darkegg);
}

#ai_score {
  color: var(--darkblue);
}

.worthy {
  color: var(--darkblue);
  font-weight: bolder;
}

footer {
  position: absolute;
  width: 100%;
  bottom: 0;
  text-align: center;
  background-color: lightgrey;
  padding: 1em;
  border-top: 2px solid grey;
  color: white;
}

footer a {
  text-decoration: none;
  color: grey;
  padding: 1em;
}

footer a:hover {
  color: var(--blue);
}

@media screen and (max-width: 370px) {
  .letter-text {
    width: 1.5em;
    font-size: 1.2em;
  }

  .letter-value {
    width: 0.7em;
    left: 1.8em;
    top: -4.5em;
    font-size: 0.7em;
  }

  form {
    font-size: 1.5em;
  }
}
